Loading...
Searching...
No Matches
ranges::unbounded_view< I > Struct Template Reference
Views
Inheritance diagram for ranges::unbounded_view< I >:

## Public Member Functions

constexpr I | begin () const
constexpr unreachable_sentinel_t | end () const
constexpr | unbounded_view (I it)
Public Member Functions inherited from ranges::view_interface< unbounded_view< I >, infinite >
constexpr auto | empty () const noexcept -> bool
| Test whether a range can be empty:
&&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > const > constexpr bool | empty () const noexcept(noexcept(bool(ranges::begin(std::declval< D< True > const & >())==ranges::end(std::declval< D< True > const & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

&&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > >) &&sized_range< D< True > > constexpr bool empty() noexcept(noexcept(bool(ranges::size(std::declval< D< True > & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > const >) &&sized_range< D< True > const > constexpr bool empty() const noexcept(noexcept(bool(ranges::size(std::declval< D< True > const & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > > constexpr bool

empty () noexcept(noexcept(bool(ranges::begin(std::declval< D< True > & >())==ranges::end(std::declval< D< True > & >()))))

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > const > constexpr | operator bool () const noexcept(noexcept(ranges::empty(std::declval< D< True > const & >())))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
&&detail::can_empty_< D< True > > constexpr | operator bool () noexcept(noexcept(ranges::empty(std::declval< D< True > & >())))
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Additional Inherited Members

Protected Types inherited from ranges::view_interface< unbounded_view< I >, infinite >
using | D = meta::invoke< detail::dependent_< B >, unbounded_view< I > >
Protected Member Functions inherited from ranges::view_interface< unbounded_view< I >, infinite >
constexpr unbounded_view< I > const & | derived () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr unbounded_view< I > & | derived () noexcept